# $Id: splint.spec 171 2004-03-28 01:43:07Z dag $

# Authority: dag
# Upstream: splint@splint.org

Summary: Secure programming lint
Name: splint
Version: 3.1.1
Release: 1.dag
License: GPL
Group: Development/Tools
URL: http://www.splint.org/

Packager: Dag Wieers <dag@wieers.com>
Vendor: Dag Apt Repository, http://dag.wieers.com/apt/

Source: http://www.splint.org/downloads/splint-%{version}.src.tgz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root


Provides: lclint = %{version}
Obsoletes: lclint

%description
Splint is a tool for statically checking C programs for security
vulnerabilities and coding mistakes. With minimal effort, Splint
can be used as a better lint. If additional effort is invested
adding annotations to programs, Splint can perform stronger
checking than can be done by any standard lint.

%prep
%setup

%build
%configure \
	--program-prefix="%{?_program_prefix}" \
	--disable-dependency-tracking
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%makeinstall

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc README doc/html/ doc/linux.html doc/manual*
%doc %{_mandir}/man?/*
%{_bindir}/*
%{_datadir}/splint/

%changelog
* Mon Mar 08 2004 Dag Wieers <dag@wieers.com> - 3.1.1-1
- Added --program-prefix to %%configure.

* Tue Aug 05 2003 Dag Wieers <dag@wieers.com> - 3.1.1-0
- Updated to release 3.1.1.

* Sat Mar 29 2003 Dag Wieers <dag@wieers.com> - 3.0.1.6-0
- Initial package. (using DAR)
